# Varbook Snakemake Configuration
# Hierarchical analysis pipeline configuration

# Paths
splits_dir: "../splits"
output_dir: "varbook_gen"
venv_python: ".venv/bin/python"

# Hierarchical configuration
variant_dataset: "Broad_neurological_disorders"

# Variant subsets and their model sets
# Structure: subdataset_name -> model_sets list
# Empty string "" means no subdataset (all variants)
variant_subsets:
  "":  # All variants prioritized by KUN_FB
    model_sets:
      - name: "KUN_FB Models"
        dataset: "KUN_FB"
        models: null  # null means use all models from dataset
        heatmap_col: "score_fetal_brain"
        cluster_col: "kmeans_35-score_fetal_brain"
        n_clusters: 35
        generate_variant_plots: false

# Example: cluster_3 subset configuration (commented out)
# Uncomment and modify as needed
#  "cluster_3":
#    model_sets:
#      - name: "KUN_FB Models"
#        dataset: "KUN_FB"
#        models: null
#        heatmap_col: "score_fetal_brain"
#        cluster_col: "kmeans_35-score_fetal_brain"
#        n_clusters: 1  # Already filtered to one cluster
#        generate_variant_plots: true  # Generate per-variant plots
